%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/rs/zerolog
Version:                1.31.0

%gometa

%global common_description %{expand:
The Zerolog package provides a fast and simple logger dedicated to JSON output.

Zerolog's API is designed to provide both a great developer experience and
stunning performance. Its unique chaining API allows zerolog to write JSON (or
CBOR) log events by avoiding allocations and reflection.

Uber's zap library pioneered this approach. Zerolog is taking this concept to
the next level with a simpler to use API and even better performance.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Zero allocation JSON logger

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%ifarch %{arm}
rm internal/cbor/types_64_test.go
%endif
%gocheck -d journald
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31.0-1
- initial build
